MagickCore: constitute.c File Reference

# constitute.c File Reference

`#include "magick/studio.h"`
`#include "magick/blob.h"`
`#include "magick/blob-private.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/cache.h"`
`#include "magick/client.h"`
`#include "magick/constitute.h"`
`#include "magick/delegate.h"`
`#include "magick/geometry.h"`
`#include "magick/identify.h"`
`#include "magick/image-private.h"`
`#include "magick/list.h"`
`#include "magick/magick.h"`
`#include "magick/memory_.h"`
`#include "magick/monitor.h"`
`#include "magick/option.h"`
`#include "magick/pixel.h"`
`#include "magick/profile.h"`
`#include "magick/property.h"`
`#include "magick/quantum.h"`
`#include "magick/resize.h"`
`#include "magick/resource_.h"`
`#include "magick/semaphore.h"`
`#include "magick/statistic.h"`
`#include "magick/stream.h"`
`#include "magick/string_.h"`
`#include "magick/timer.h"`
`#include "magick/transform.h"`
`#include "magick/utility.h"`

## Functions
static Image * | ReadImages (const ImageInfo *, ExceptionInfo *)
MagickExport Image * | ConstituteImage (const unsigned long columns, const unsigned long rows, const char *map, const StorageType storage, const void *pixels, ExceptionInfo *exception)
MagickExport void | DestroyConstitute (void)
static size_t | PingStream (const Image *magick_unused(image), const void *magick_unused(pixels), const size_t columns)
MagickExport Image * | PingImage (const ImageInfo *image_info, ExceptionInfo *exception)
MagickExport Image * | ReadImage (const ImageInfo *image_info, ExceptionInfo *exception)
MagickExport Image * | ReadInlineImage (const ImageInfo *image_info, const char *content, ExceptionInfo *exception)
static void | SyncImageInfo (ImageInfo *image_info, Image *image, ExceptionInfo *exception)
MagickExport MagickBooleanType | WriteImage (const ImageInfo *image_info, Image *image)
MagickExport MagickBooleanType | WriteImages (const ImageInfo *image_info, Image *images, const char *filename, ExceptionInfo *exception)
## Variables
static SemaphoreInfo * | constitute_semaphore = (SemaphoreInfo *) NULL

## Function Documentation

MagickExport Image* ConstituteImage | ( | const unsigned long | columns,
|  | const unsigned long | rows,
|  | const char * | map,
|  | const StorageType | storage,
|  | const void * | pixels,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void DestroyConstitute | ( | void |  | ) |

MagickExport Image* PingImage | ( | const ImageInfo * | image_info,
|  | ExceptionInfo * | exception |
| ) |  |  |

static size_t PingStream | ( | const Image * | magick_unused(image),
|  | const void * | magick_unused(pixels),
|  | const size_t | columns |
| ) |  |  | `[static]`

MagickExport Image* ReadImage | ( | const ImageInfo * | image_info,
|  | ExceptionInfo * | exception |
| ) |  |  |

static Image * ReadImages | ( | const ImageInfo * | image_info,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

MagickExport Image* ReadInlineImage | ( | const ImageInfo * | image_info,
|  | const char * | content,
|  | ExceptionInfo * | exception |
| ) |  |  |

static void SyncImageInfo | ( | ImageInfo * | image_info,
|  | Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

MagickExport MagickBooleanType WriteImage | ( | const ImageInfo * | image_info,
|  | Image * | image |
| ) |  |  |

MagickExport MagickBooleanType WriteImages | ( | const ImageInfo * | image_info,
|  | Image * | images,
|  | const char * | filename,
|  | ExceptionInfo * | exception |
| ) |  |  |

## Variable Documentation

SemaphoreInfo* constitute_semaphore = (SemaphoreInfo *) NULL`[static]`